package com.tencent.qcloud.tuikit.tuichat.bean.message

import com.tencent.qcloud.tuikit.timcommon.bean.TUIMessageBean


@Target(AnnotationTarget.TYPE)
@Retention(AnnotationRetention.RUNTIME)
annotation class UserMessageBean


fun TUIMessageBean.isUserMessageBean(): Boolean {
    for (annotation in javaClass.annotations) {
        if (annotation is UserMessageBean) {
            return true
        }
    }
    return false
}